Feature not created when splitting polygon with a line from another layer

2016-07-20 01:51 AM - Jon Kaminsky

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.16.0 Regression?: No

Operating System: Windows 64-bit Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 23244

Description

Using the digitizing tools in QGIS 2.14.3, I attempted to split a one-feature polygon shapefile in half using a line feature from a shapefile.  I

selected the layer, toggled edit, selected the polygon which highlighted, selected the line layer, then selected the line to highlight it as well.

 Then used the tool "split selected features with selected line from another layer."  This split the polygon along the line but only the lower

half continued to be visible.  I opened the attributes for the polygon and saw that an additional feature presumably for the other (upper)

part of the oirginal polygon had been created.  However, this feature is not visible and also does not show highlighting when the attribute

row is selected. It is just gone.  Consequently, only the lower portion of the original polygon is displayed.  I have tried to resave to another

shapefile, rebooting the system, but nothing seems to work.  I have tried this operation a dozen times, and replicated it on QGIS 2.6

running on a Mac OSX system 10.10.5.  I then upgraded the windows system to QGIS 2.16.0 and replicated the bug there as well.

History

#1 - 2016-07-20 07:24 AM - Jon Kaminsky

- File WBDHU10.zip added

This occurrence can be further narrowed to how the polygon is created.  Starting with a shapefile that contains multiple features (polygons), select one of

the feature, then "save as," checking "save only selected features" and save as a new shapefile containing only that one feature.  If you try to cut that new

feature in the new shapefile with a line from another layer, only one half of the polygon is seemingly created.

Creating a shapefile from scratch say with a few random polys, you can cut them properly with the correct behavior.

Use the attached shapefile to create a one feature polygon shapefile to recreate the bug.

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2017-06-02 11:07 AM - Bernhard Ströbl

- File result_of_split.png added

- Status changed from Open to Feedback

- Category set to Digitising

This ticket adresses an issue in the DigitizingTools plugin. 

The proper place to report it therefore is the plugin's issue tracker.

@Jon: Could you open a ticket there?

Jon Kaminsky wrote:
https://github.com/bstroebl/DigitizingTools/issues


This occurrence can be further narrowed to how the polygon is created.  Starting with a shapefile that contains multiple features (polygons), select

one of the feature, then "save as," checking "save only selected features" and save as a new shapefile containing only that one feature.  If you try to

cut that new feature in the new shapefile with a line from another layer, only one half of the polygon is seemingly created.

Creating a shapefile from scratch say with a few random polys, you can cut them properly with the correct behavior.

Use the attached shapefile to create a one feature polygon shapefile to recreate the bug.

I cannot recreate the bug in QGIS 2.14.15 on Ubuntu (see attached screenshot of the split polygon Cottonwood Creek-Wind River).

Please try again with both layers and the project sharing the same projection.

#4 - 2017-06-02 07:28 PM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Feedback to Closed

Bernhard Ströbl wrote:

This ticket adresses an issue in the DigitizingTools plugin. 

The proper place to report it therefore is the plugin's issue tracker.

@Jon: Could you open a ticket there?

Files

Capture.JPG 58.4 KB 2016-07-19 Jon Kaminsky

WBDHU10.zip 1.22 MB 2016-07-20 Jon Kaminsky

result_of_split.png 97.2 KB 2017-06-02 Bernhard Ströbl
